import { ISharedIdentityPickerProps } from "./SharedIdentityPicker.Props";
export interface IIdentityPickerDropdownProps extends ISharedIdentityPickerProps {
    /**
     * Called when the control is attempting to show or hide the suggestions list.
     */
    onSuggestionsVisibleChanged?: (suggestsionsVisible: boolean) => void;
    /**
     * Maximum number of suggestions to show in the full suggestion list.
     * If provided 0 or less, it will be set to no limit.
     * IMPORTANT: This could create a performance issue if the number of suggestions is too high or not properly limited
     */
    suggestionItemsMaximumCount?: number;
    /**
     * Aria label of the suggestions container
     */
    suggestionsContainerAriaLabel?: string;
}
