import{__assign,__extends,__spreadArray}from"tslib";import"../../CommonImports";import"../../Core/core.css";import"./Dropdown.css";import*as React from"react";import{ObservableArray,ObservableLike,ObservableValue}from"../../Core/Observable";import{TimerManagement}from"../../Core/TimerManagement";import*as Utils_Accessibility from"../../Core/Util/Accessibility";import{format}from"../../Core/Util/String";import{FilteredListSelection,renderListCell}from"../../List";import{getListBoxItemsValue,getUnselectableRanges,ListBoxItemType,wrapListBoxItems}from"../../ListBox";import{ItemsObserver,Observer}from"../../Observer";import*as Resources from"../../Resources.Dropdown";import{SimpleTableCell}from"../../Table";import{css}from"../../Util";import{DropdownSelection}from"../../Utilities/DropdownSelection";import{getItemsValue}from"../../Utilities/Provider";import{DropdownCallout}from"./DropdownCallout";import{DropdownExpandableTextField}from"./DropdownExpandableTextField";var announcementInterval,Dropdown=function(n){function e(e){var M=n.call(this,e)||this,t=(M.expandable=React.createRef(),M.expandableContainer=React.createRef(),M.filterText=new ObservableValue(""),M.collapse=function(){M.expandable.current&&M.expandable.current.collapse()},M.expand=function(){M.expandable.current&&M.expandable.current.expand()},M.onDismiss=function(){M.expandable.current&&M.expandable.current.collapse()},M.onExpand=function(){M.props.onExpand&&M.props.onExpand(),M.updateFilteredItems(),M.state.expanded.value=!0},M.onCollapse=function(){M.props.onCollapse&&M.props.onCollapse(),M.state.expanded.value=!1},M.onActivate=function(e,t){var r;e.defaultPrevented||"keydown"!==e.type||((r=!M.props.enforceSingleSelect&&M.state.filteredSelection.multiSelect)?M.state.filteredSelection.toggle(M.state.filteredItems.value.indexOf(t),M.state.filteredSelection.alwaysMerge,r):M.state.filteredSelection.select(M.state.filteredItems.value.indexOf(t),1,M.state.filteredSelection.alwaysMerge,r),M.onSelect(e,t))},M.onFilterTextChanged=function(e,t){M.filterText.value=t,M.debouncedUpdateFilteredItems()},M.onSelect=function(e,t){var r=M.props,n=r.dismissOnSelect,r=r.onSelect,i=M.parentSelection;r&&r(e,t),(void 0!==n?n:0<i.value.length&&(M.props.enforceSingleSelect||!i.multiSelect)&&!i.selectOnFocus)&&M.onDismiss()},M.selectionChanged=function(e,t){return M.state.filteredSelection.selectionChanged(e,t),!0},M.renderCallout=function(e,t,r,n,i,o,l){var a=M.props,s=a.actions,d=a.ariaLabel,p=a.calloutContentClassName,c=a.columns,u=a.containerClassName,m=a.filterPlaceholderText,f=a.filteredNoResultsText,x=a.getUnselectableRanges,h=a.items,I=a.loading,g=a.noItemsText,b=a.onFilterTextChanged,y=a.onToggle,v=a.portalProps,T=a.renderItem,S=a.renderBeforeContent,C=a.searching,L=a.showChecksColumn,w=a.showFilterBox,B=a.showItemsWhileSearching,F=a.showTree,R=a.startsWithSort,a=a.userFilteredItems,D=M.props.width,O=(void 0===D&&M.expandableContainer.current&&(O=null!=(O=M.props.minCalloutWidth)?O:100,D=Math.max(M.expandableContainer.current.clientWidth,O)),M.state),A=O.filteredItems,_=O.filterText,s={actions:s,anchorElement:r,anchorOffset:n,anchorOrigin:i,anchorPoint:o,ariaLabel:d,calloutContentClassName:p,columns:c,containerClassName:u,dropdownOrigin:l,filteredItems:A,filteredNoResultsText:f,selection:O.filteredSelection,filterPlaceholderText:m,filterText:_,getUnselectableRanges:x,id:t,items:h,loading:I,noItemsText:g,onActivate:M.onActivate,onFilterTextChanged:function(e,t){b&&b(e,t),M.onFilterTextChanged&&M.onFilterTextChanged(e,t)},onDismiss:M.onDismiss,onSelect:M.onSelect,onToggle:y,portalProps:v,renderBeforeContent:S,renderItem:T,searching:C,showChecksColumn:L,showItemsWhileSearching:B,showFilterBox:w,showTree:F,startsWithSort:R,updateFilteredItems:M.updateFilteredItems,userFilteredItems:a,width:D};return M.props.renderCallout(s)},M.updateFilteredItems=function(){return updateFilteredItems(M.props,M.state),!0},M.debouncedUpdateFilteredItems=function(){updateFilteredItems(M.props,M.state)},M.parentSelection=e.selection||new DropdownSelection,wrapListBoxItems(e.items)),r=getListBoxItemsValue(t||e.items);return M.timerManagement=new TimerManagement,M.state={expanded:new ObservableValue(!1),filteredItems:new ObservableArray(__spreadArray([],r,!0)),filteredSelection:new FilteredListSelection(M.parentSelection),filterText:M.filterText,props:e,wrappedItems:t},M}return __extends(e,n),e.getDerivedStateFromProps=function(e,t){return e.userFilteredItems===t.props.userFilteredItems&&e.items===t.props.items||updateFilteredItems(e,t),__assign(__assign({},t),{props:e,wrappedItems:wrapListBoxItems(e.items)})},e.prototype.componentDidMount=function(){this.props.filterThrottleWait&&(this.debouncedUpdateFilteredItems=this.timerManagement.debounce(this.debouncedUpdateFilteredItems,this.props.filterThrottleWait))},e.prototype.render=function(){var e=this,t=this.props,r=t.ariaLabel,n=t.ariaLabelledBy,i=t.ariaDescribedBy,o=t.autoSelect,l=t.className,a=t.disabled,s=t.enforceSingleSelect,d=t.excludeTabStop,p=t.inputId,c=t.items,u=t.placeholder,m=t.renderExpandable,f=t.renderSelectedItems,x=t.role,h=t.showPrefix,I=t.required,t={observableValue:this.parentSelection,filter:this.selectionChanged};return React.createElement(ItemsObserver,{getUnselectableRanges:this.props.getUnselectableRanges,items:c,selection:this.parentSelection},React.createElement(Observer,{selection:t},function(){return m({ariaLabel:r,ariaLabelledBy:n,ariaDescribedBy:i,autoSelect:o,className:css(l,"bolt-dropdown-expandable"),containerRef:e.expandableContainer,disabled:a,enforceSingleSelect:s,excludeTabStop:d,inputId:p,placeholder:u,onCollapse:e.onCollapse,onExpand:e.onExpand,expandableRef:e.expandable,renderCallout:e.renderCallout,items:getListBoxItemsValue(e.state.wrappedItems||c),role:x,renderSelectedItems:f,selection:e.parentSelection,showPrefix:h,required:I})}))},e.prototype.focus=function(){this.expandable.current&&this.expandable.current.focus()},e.defaultProps={filterByText:!0,filterItem:filterItemByText,getUnselectableRanges:getUnselectableRanges,renderCallout:DropdownCallout,renderExpandable:DropdownExpandableTextField,renderSelectedItems:renderDropdownSelectedItemText},e}(React.Component);function filterItemByText(e,t){return!(!t.text||t.type===ListBoxItemType.Header||t.type===ListBoxItemType.Divider||t.type===ListBoxItemType.Loading)&&-1!==t.text.toLowerCase().indexOf(e.toLowerCase())}function filterItemByTextStartsWith(e,t){return!(!t.text||t.type===ListBoxItemType.Header||t.type===ListBoxItemType.Divider||t.type===ListBoxItemType.Loading)&&t.text.toLowerCase().startsWith(e.toLowerCase())}function renderDropdownSelectedItemText(e,t){t=t[e.value[0].beginIndex],t=t&&t.text||"";return t=1<e.selectedCount?"".concat(t," (+").concat(e.selectedCount-1,")"):t}function updateFilteredItems(t,r){announcementInterval&&clearTimeout(announcementInterval);var e=r.filteredSelection,n=r.filterText,i=[],o=getListBoxItemsValue(r.wrappedItems||t.items),l=o;if(t.userFilteredItems){var l=getItemsValue(t.userFilteredItems),a=t.userFilteredItemsIndexMap&&t.userFilteredItemsIndexMap.value;if(a)i=a;else for(var s=0;s<t.userFilteredItems.length;s++)!function(t){var e=o.findIndex(function(e){return e.id===l[t].id});i.push(e)}(s)}for(t.filterByText&&n.value&&(a=filterItems(l,n.value,i,t.filterItem,t.startsWithSort),l=a.filteredItems,i=a.filteredIndexMap);l.length&&l[0].type===ListBoxItemType.Divider;)l.shift(),i.shift();return announcementInterval=setTimeout(function(){var e;ObservableLike.getValue(t.searching)||ObservableLike.getValue(t.loading)||!r.expanded.value||(n.value?(e=Resources.NoFilterResults,t.filteredNoResultsText&&(e=ObservableLike.getValue(t.filteredNoResultsText)),Utils_Accessibility.announce(0<l.length?format(Resources.AnnounceFilterResultCount,l.length):e,!0)):0===l.length&&t.noItemsText?Utils_Accessibility.announce(t.noItemsText,!0):0<l.length&&Utils_Accessibility.announce(format(Resources.AnnounceItemCount,l.length)))},500),e.updateFilteredSelection(i,!t.enforceSingleSelect&&void 0),r.filteredItems.value=l,!0}function filterItems(e,t,r,n,i){void 0===r&&(r=[]),void 0===n&&(n=filterItemByText),void 0===i&&(i=!1);var o=[],l=[],a=[];if(t){var s=void 0,d=-1,p=void 0,c=-1;if(i){for(var u=[],m=[],f=[],x=[],h=0,I=e.length;h<I;h++){var g,b=e[h],y=r.length?r[h]:h;b.type===ListBoxItemType.Header||b.type===ListBoxItemType.Divider?((u.length||m.length)&&(o.push.apply(o,u),o.push.apply(o,m),l.push.apply(l,f),l.push.apply(l,x),u=[],m=[],f=[],x=[]),b.type===ListBoxItemType.Header?(s=b,d=y):b.type===ListBoxItemType.Divider&&(p=b,c=y)):(g=filterItemByTextStartsWith(t,b))?(p&&p.groupId===b.groupId&&(u.push(p),f.push(c),p=void 0),s&&s.groupId===b.groupId&&(u.push(s),f.push(d),s=void 0),u.push(b),f.push(y),a.push(Array.isArray(g)?g:[])):!(v=n(t,b,e))&&b.type!==ListBoxItemType.Loading||(p&&p.groupId===b.groupId&&(u.push(p),f.push(c),p=void 0),s&&s.groupId===b.groupId&&(u.push(s),f.push(d),s=void 0),m.push(b),x.push(y),a.push(Array.isArray(v)?v:[]))}o.push.apply(o,u),o.push.apply(o,m),l.push.apply(l,f),l.push.apply(l,x)}else for(h=0,I=e.length;h<I;h++){var v,b=e[h],y=r.length?r[h]:h;b.type===ListBoxItemType.Header?(s=b,d=y):b.type===ListBoxItemType.Divider?(p=b,c=y):!(v=n(t,b,e))&&b.type!==ListBoxItemType.Loading||(p&&p.groupId===b.groupId&&(o.push(p),l.push(c),p=void 0),s&&s.groupId===b.groupId&&(o.push(s),l.push(d),s=void 0),o.push(b),l.push(y),a.push(Array.isArray(v)?v:[]))}}return{filteredItems:o,filteredIndexMap:l,filterMatches:a}}function filterTreeItems(e,t,r,n,i){void 0===i&&(i=filterMatchedItemByListboxType);for(var t=filterItems(e,t,r=void 0===r?[]:r,n=void 0===n?filterItemByText:n),r=t.filteredIndexMap,n=t.filteredItems.find(i),o={},l=0,a=r;l<a.length;l++){for(var s=e[f=a[l]],d=s.parent;d;)(o[e.indexOf(d)]=d).expanded=!0,d=d.parent;o[f]=s}for(var p=[],c=[],u=0,m=Object.keys(o);u<m.length;u++){var f,x=m[u],x=o[f=Number(x)];p.push(f),c.push(x)}return[{filteredIndexMap:p,filteredItems:c,filterMatches:[]},n?e.indexOf(n):-1]}function filterMatchedItemByListboxType(e){return!e.type||e.type===ListBoxItemType.Row}function renderHighlightedText(e,t,r,n,i){var o=n;return i&&n.text&&(o=__assign(__assign({},n),{textNode:getHighlightedText(n.text,i)})),React.createElement(SimpleTableCell,{className:css(r.className,n.className,n.type===ListBoxItemType.Header&&"bolt-list-box-header"),columnIndex:t,key:t,tableColumn:r},React.createElement("div",{id:n.type===ListBoxItemType.Header?"header-".concat(n.id):void 0,"aria-label":n.type===ListBoxItemType.Header?format(Resources.HeaderAriaLabel,n.text):void 0},renderListCell(o)))}function getHighlightedText(e,t,r){for(var n=[],i=-1,o=0;o<e.length;o++)-1!==t.indexOf(o)?n&&n[n.length-1]&&n[n.length-1].bold?n[i].text+=e.charAt(o):n[++i]={text:e.charAt(o),bold:!0}:n&&n[n.length-1]&&!n[n.length-1].bold?n[i].text+=e.charAt(o):n[++i]={text:e.charAt(o),bold:!1};for(var l=[],o=0;o<n.length;o++){var a=n[o];a.bold?l.push(React.createElement("span",{className:"font-weight-heavy",key:"".concat(e,"-").concat(o)},a.text)):l.push(a.text)}return React.createElement("span",{className:r},l)}export{Dropdown,filterItemByText,filterItemByTextStartsWith,renderDropdownSelectedItemText,filterItems,filterTreeItems,filterMatchedItemByListboxType,renderHighlightedText,getHighlightedText};